
Redmine - Feature #4719

Set Manager projects and subprojects

2010-02-03 02:08 - Petr Losa

Status: Closed Start date: 2010-02-03

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I need this function:

I am administrator in my redmine application, but I need set project manager for some projects. And in this some project i need set

rights, for this manager, create subprojects in this project. But this people cant see others projects, only his project and subprojects,

so I can't set this manager administrator rights.

For exaple:

I have a project manager John and Peter. Petr developed projects in Delphi and john in PHP. I make two project and one assign

Peter and second John. They can make subprojects in assigned projects, but Peter can't see project John and voice versa. I am

administrator and I can see and administrate all.

Could you realize this function ?

History

#1 - 2010-02-03 09:45 - Felix Schäfer

This should already be available in 0.9: Give the manager role the permission to create subprojects, make one "parent" project for John, one for

Peter, both private, and make them both managers of their "parent" project. They will then be able to create subprojects in their own parent project,

but not see the other projects.

#2 - 2010-02-03 13:27 - Petr Losa

- % Done changed from 0 to 100

Yes, Ok I upgraded to 0.9.1 and it is what i need. Verry good. Thank

#3 - 2010-02-04 00:01 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Fixed
